Subject: [ANNOUNCEMENT] Updated: mosh-1.2.3-1
From: Reini Urban <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 31 Oct 2012 07:47:45 -0500
List-Id: <cygwin.cygwin.com>

I updated mosh to 1.2.3-1 on cygwin, which includes the previously experimental
cxxwrapper for /usr/bin/mosh.exe as described in
http://sourceware.org/ml/cygwin-announce/2012-07/msg00021.html

This maintenance release makes a number of improvements to mosh 1.2.2
to improve speed, robustness, and security. It includes new
implementations of AES and OCB that are more resilient to possible
timing leakage and adds support for Solaris, licensing compatibility
with Apple's iOS, and power-saving improvements to benefit the Android
client.

* Missing features:
                * --predict=experimental mode to local echo not yet implemented
                * Detect bogus MOSH_IP earlier is not yet implemented.

* Security improvements:
                * Use OpenSSL AES implementation
                * Update AES-OCB implementation (Keegan McAllister)
                * Don't let bad server dictate IP (Felix Groebert)

* New features:
                * Client hops ports to survive challenging client-side firewall
                * Server stops sending to save client power (Daniel Drown)
                * Set DiffServ code point and ECN-capable (Dave Täht)
                * Slow down if explicit congestion notification received
                * Warn about unattached Mosh sessions on login
                * Compatible with KDE konsole (uses BEL to terminate OSC)
                * Improved heuristic about color of predicted characters

 * Bug fixes:
                * Improved performance on systems with expensive time
                * No longer choke on "ffff::" address for hosts with IPv6
                * More conservative MTU and datagram sizing

 * Platform support:
                * Build on Solaris and IllumOS (Timo Sirainen, Ira Cooper)
                * Build on ARM with gcc 4.7 (Alexander Chernyakhovsky)

 * Licensing changes:
                * Allow distribution on Apple App Stores
                * Allow linking with OpenSSL

mosh 1.2.3 is backwards-compatible with mosh clients back to 0.96 and
mosh servers back to 1.0.9. Please let us know of any problems
(https://github.com/keithw/mosh/issues).

Best regards from the Mosh team,
-- 
Reini Urban
http://cpanel.net/   http://www.perl-compiler.org/

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple